<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| CVS Version: 1.0.0
| Author: Dennis Vorpahl
| Email: dennis@starunited.de
| Support: http://www.starunited.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (file_exists(INFUSIONS."wer_ist_wo_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."wer_ist_wo_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."wer_ist_wo_panel/locale/German.php";
}

include INCLUDES."infusions_include.php";

if (!checkrights("PNC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

opentable('PN CRON ADMIN');
// Speichern

if(isset($_GET['save']) && isnum($_GET['save']) && $_GET['save']==1){
	if(!isnum($_POST['days'])) echo "<span style='color:red'>".$locale['PNC001']."</span>\n";
	else set_setting('days', $_POST['days'], 'pncron');
}
// Infusions Settings holen
$inf_settings=get_settings('pncron');

echo "<form method='post' action='".FUSION_SELF.$aidlink."&amp;save=1'>\n";
echo "<table cellpadding='0' cellspacing='0' align='center' class='tbl-border' style='width:300px; margin-top:20px;'>\n";
echo "<tr>\n";
echo "<td class='tbl1'>".$locale['PNC002']."</td>\n";
echo "<td class='tbl1'><input type='text' name='days' class='textbox' value='".$inf_settings['days']."' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td class='tbl1' colspan='2' style='text-align:center;'><input type='submit' name='pncron_settings' value='".$locale['PNC003']."' class='button' /></td>\n";
echo "</tr>\n</table>\n";
echo "</form>\n";

closetable();
require_once THEMES."templates/footer.php";
?>